### Method

# GSSDP Client add_cache_entry

#### Declaration [src]

    void
    gssdp_client_add_cache_entry (
      GSSDPClient* client,
      const char* ip_address,
      const char* user_agent
    )

#### Description [src]

Add `user_agent` for `ip_address`.

Each `GSSDPClient` maintains a mapping of addresses (MAC on systems that support it, IP addresses otherwise) to User Agents.

This information can be used in higher layers to get an User-Agent for devices that do not set the User-Agent header in their SOAP requests.

#### Parameters

`ip_address`

  Type: `const char*`

  The host to add to the cache.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`user_agent`

  Type: `const char*`

  User agent ot the host to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.